@font-face {
    font-family: "Inter Variable";
    src: url("./fonts/Inter-Variable.woff2") format("woff2-variations"),
         url("./fonts/Inter-Variable.woff") format("woff-variations"),
         url("./fonts/Inter-Variable.ttf") format("truetype");
    font-weight: 100 900;
    font-stretch: 50% 150%;
    font-display: swap;
}


*, *:before, *:after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    max-width: 100%;
}

a {
    text-decoration: none;
    color: inherit;
}

ul, ol {
    list-style: none;
}

button {
    cursor: pointer;
}

/* ==================== VARIABLES ==================== */

:root {
    --c-white: #fff;
    --c-black: #1a1a1a;

    --c-grey-50: #fafafa;
    --c-grey-100: #f5f5f5;
    --c-grey-200: #eeeeee;
    --c-grey-300: #e0e0e0;
    --c-grey-400: #bdbdbd;
    --c-grey-500: #9e9e9e;
    --c-grey-600: #757575;
    --c-grey-700: #616161;
    --c-grey-800: #424242;
    --c-grey-900: #212121;

    --c-primary-50: #e6f0f1;
    --c-primary-75: #d3dedf;
    --c-primary-100: #b7cdcf;
    --c-primary-300: #9db9bb;
    --c-primary-500-default: #669093;
    --c-primary-700: #4a686a;
    --c-primary-800: #0d5a5d;
    --c-secondary-light: #feeaa5;
    --c-secondary-dark: #fdb137;

    --c-red: #db242d;

    --c-opacity: 0.85;

    --c-background: var(--c-grey-50);
    --c-foreground-primary: var(--c-white);
    --c-foreground-secondary: var(--c-grey-200);
    --c-foreground-tertiary: var(--c-primary-75);
    --c-bg-sidebar: var(--c-primary-50);
    --c-bg-nav-link-hover: var(--c-grey-50);

    --c-text-normal: var(--c-black);
    --c-text-muted: var(--c-grey-600);
    --c-text-muted-on-color: var(--c-grey-700);
    --c-text-faint: var(--c-grey-400);
    --c-text-hover: var(--c-white);
    --c-text-accent: var(--c-primary-800);
    
    --c-card-border: var(--c-grey-300);
   
    --c-btn-bg-primary: var(--c-primary-500-default);
    --c-btn-text-primary: var(--c-white);
    --c-btn-bg-secondary: var(--c-grey-50);
    --c-btn-border-secondary: var(--c-grey-300);
    --c-btn-border-secondary-hover: var(--c-grey-200);
    --c-btn-bg-badge: var(--c-red);
    --c-btn-text-badge: var(--c-white);
    --c-btn-text-user: var(--c-grey-600);

    --c-input-border: var(--c-grey-300);
    --c-input-border-hover: var(--c-grey-200);
    --c-input-border-focus: var(--c-primary-300);
    --c-input-text-focus: var(--c-grey-600);
    --c-input-text-placeholder: var(--c-grey-500);

    --c-icon-muted: var(--c-grey-600);
    --c-icon-faint: var(--c-grey-400);
    --c-icon-hover: var(--c-grey-400);

    --shadow-input: inset 0px 3px 3px -1px #0000000a;

    --spacing-xxs: 2px;
    --spacing-xs: 4px;
    --spacing-sm: 8px;
    --spacing-md: 12px;
    --spacing-lg: 16px;
    --spacing-xl: 24px;
    --spacing-xxl: 32px;

    --p-page-grid: var(--spacing-md);
    --p-content-grid: var(--spacing-md);
    --p-card: var(--spacing-md);

    --g-between-cards: var(--spacing-md);
    --g-between-card-list: var(--spacing-xs);

    --border-radius-xs: 3px;
    --border-radius-sm: 4px;
    --border-radius-md: 8px;
    --border-radius-lg: 12px;

    --br-nav-link-border: var(--border-radius-sm);
    --br-input-border: var(--border-radius-md);
    --br-btn-border-md: var(--border-radius-md);
    --br-card-border: var(--border-radius-sm);
    --br-card-border-aside: var(--border-radius-sm);
    --br-section-border: var(--border-radius-md);

    --font-size-xxs: 0.6875rem; /* 11px */
    --font-size-xs: 0.75rem; /* 12px */
    --font-size-sm: 0.875rem; /* 14px */
    --font-size-md: 1rem; /* 16px */
    --font-size-lg: 1.25rem; /* 20px */
    --font-size-xl: 1.5625rem; /* 25px */

    --fs-nav-links: var(--font-size-sm);
    --fs-header-title: var(--font-size-xl);
    --fs-section-title: var(--font-size-lg);
    --fs-section-title-sm: var(--font-size-md);
    --fs-card-title: var(--font-size-md);
    --fs-card-title-sm: var(--font-size-sm);
    --fs-card-body: var(--font-size-sm);
    --fs-card-body-sm: var(--font-size-xs);
    --fs-tag: var(--font-size-xxs);
    --fs-card-stat: var(--font-size-xs);

}

/* ==================== BASE ==================== */

body {
    height: 100vh;
    font-family: "Inter Variable", sans-serif;
    line-height: 1.4;
    color: var(--c-text-normal);
}

.container {
    height: 100%;
    display: grid;
    grid-template: auto 1fr / 0.6fr 3fr 1fr;
    grid-template-areas:
    "nav header header"
    "nav main aside";
    overflow: auto;
}

/* ==================== HEADER ==================== */

header {
    position: sticky;
    top: 0;
    grid-area: header;
    background-color: var(--c-foreground-primary);
    z-index: 2;
}

.header-wrap-top {
    display: grid;
    grid-template-columns: auto 1fr auto;
    padding: var(--p-page-grid);
}

.sidebar-toggle {
    margin-right: 6px;
}

.header-search-bar {
    display: grid;
    align-items: center;
    max-width: 600px;
    margin-right: 8px;
    box-shadow: 0px 1px 0px rgba(27, 31, 35, 0.04), inset 0px 1px 0px rgba(255, 255, 255, 0.25);
}

.search-icon {
    margin-left: 8px;
    position: absolute;
    width: 20px;
    height: 20px;
    stroke: var(--c-icon-faint);
    stroke-width: 1.5;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
}

.header-search-bar input {
    padding: 8px 12px 8px 34px;
    border: 1px solid var(--c-input-border);
    border-radius: var(--br-input-border);
    color: var(--c-input-text-focus);
}

.header-search-bar input::placeholder {
    color: var(--c-input-text-placeholder);
}

.header-search-bar input:focus {
    outline: none;
    border: 1px solid var(--c-input-border-focus);
}

.header-wrap-top-btns {
    display: flex;
    gap: 8px;
}

.header-top-btn,
.header-bottom-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6px;
    padding: 4px;
    border: 1px solid var(--c-btn-border-secondary);
    border-radius: var(--br-btn-border-md);
    background-color: var(--c-btn-bg-secondary);
    transition: all 0.15s ease-in-out;
    box-shadow: 0px 1px 0px rgba(27, 31, 35, 0.04), inset 0px 1px 0px rgba(255, 255, 255, 0.25);
}

.header-bottom-btn {
    padding-right: 10px;
}

.header-top-btn:hover,
.header-bottom-btn:hover {
    border-color: var(--c-grey-300);
    background-color: var(--c-grey-200);
}

.header-top-icon,
.header-bottom-icon {
    width: 24px;
    height: 24px;
    stroke: currentColor;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
}

.notifications span {
    position: absolute;
    margin-top: -20px;
    margin-right: -20px;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 16px;
    width: 16px;
    border-radius: 10px;;
    background-color: var(--c-btn-bg-badge);
    color: var(--c-btn-text-badge);
    font-size: 11px;
    font-weight: 400;
}

.header-top-btn.user p {
    padding-right: 8px;
    font-weight: 600;
    color: var(--c-btn-text-user);
}

.user .avatar {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 24px;
    width: 28px;
    margin-left: 3px;
    background-color: var(--c-primary-700);
    border-radius: 12px;
    font-size: 12px;
    font-weight: 600;
    color: var(--c-grey-50);
}

.header-wrap-bottom {
    display: grid;
    grid-template-columns: 1fr auto;
    padding: 10px;
}

.header-wrap-bottom h1 {
    font-size: var(--fs-header-title);
    font-weight: 650;
}

.header-wrap-bottom-btns {
    display: flex;
    gap: 8px;
}

/* ==================== SIDEBAR NAV ==================== */

.sidebar-nav {
    position: sticky;
    top: 0;
    height: 100vh;
    grid-area: nav;
    display: flex;
    flex-direction: column;
    min-width: 200px;
    gap: 71px;
    padding: 14px 18px;
    background-color: var(--c-bg-sidebar);
    z-index: 2;
}

.logo {
    display: block;
    height: 28px;
    color: #272f5e;
}

.nav-menu {
    display: grid;
    gap: 24px;
}

.nav-links {
    display: grid;
    gap: 6px;
}

.nav-links a {
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 6px 10px;
    border-radius: var(--br-nav-link-border);
    font-size: var(--fs-nav-links);
    font-weight: 4000;
}

.nav-links a:hover,
.nav-links a.nav-active {
    background-color: var(--c-bg-nav-link-hover);
}

.nav-icon {
    flex-shrink: 0;
    width: 18px;
    height: 18px;
    stroke: var(--c-icon-muted);
    stroke-width: 1.5;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
}

.nav-active .nav-icon {
    fill: var(--c-icon-muted);
}

.nav-menu hr {
    border-top: 1px solid #dadbde;
}

.open {
    display: block;
    width: 200px;
}

/* ==================== MAIN ==================== */

main {
    grid-area: main;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: var(--p-content-grid);
    background-color: var(--c-background);
}

main .section-title {
    grid-column: 1 / -1;
    margin: 6px 0px;
    font-size: var(--fs-section-title);
    font-weight: 600;
    color: var(--c-text-normal);
}

/* ==================== stats ==================== */

.main-section-stats {
    display: grid;
    grid-template-columns: repeat(4, minmax(166px, 1fr));
    grid-template-rows: 1fr;
    gap: var(--g-between-cards);
}

.stat-card {
    position: relative;
    display: grid;
    grid-template-columns: auto 1fr;
    align-items: center;
    gap: 18px;
    padding: 16px 16px 16px 22px;
    border-radius: var(--br-section-border);
    background-color: var(--c-foreground-secondary);
}

.stat-card:hover {
    background-color: var(--c-grey-300);
}

.stat-icon {
    width: 48px;
    height: 48px;
    stroke: var(--c-grey-50);
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
    padding: 10px;
    border-radius: 24px;
    background-color: var(--c-primary-300);
}

.stat-text {
    display: grid;
    gap: 4px;
}

.stat-text p {
    font-size: var(--fs-card-title-sm);
}

.stat-card a::before {
    content: "";
    position: absolute;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
}


/* ==================== projects ==================== */

.main-section-projects {
    display: grid;
    grid-template: auto / repeat(auto-fit, minmax(280px, 1fr));
    gap: var(--g-between-cards);
    padding: 10px;
    border-radius: var(--br-section-border);
    background-color: var(--c-foreground-primary);
}

.project-card {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
    border: 1px solid var(--c-card-border);
    border-radius: var(--br-card-border);
    background-color: var(--c-foreground-primary);
}

.project-card:hover {
    cursor: default;
    box-shadow: 0px 2px 4px 0px rgba(99 99 99 / 20%) ;
}

.project-card-header {
    display: grid;
    grid-template-columns: auto auto;
    justify-content: space-between;
    align-items: center;
    margin-top: -2px;
}

.project-card-tags {
    display: flex;
    align-items: center;
    gap: 4px;
}

.project-card-tag {
    padding: 3px 8px;
    border-radius: 16px;
    font-size: var(--fs-tag);
    word-spacing: -1px;
    background-color: #e3e3e3;
    color: var(--c-icon-muted);
}

.tag-active,
.tag-completed  {
    background-color: #c8dcc3;  /* #d1e2b3 #c2d4bb */
}

.tag-ongoing {
    background-color: #f0e5bd;
}

.tag-pending {
    background-color: #d2cbd4;
}

.project-tag-icon {
    width: 20px;
    height: 20px;
    stroke: #eedc9d;
    stroke-width: 2;
    stroke-linecap: square;
    stroke-linejoin: square;
    fill: #eedc9d;
}

.project-option-icon {
    width: 24px;
    height: 24px;
    stroke: currentColor;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
}

.project-card-body {
    display: grid;
    gap: 6px;
}

.project-card h3 {
    font-size: var(--fs-card-title);
    font-weight: 600;
}

.project-card p {
    font-size: var(--fs-card-body);
}

.project-card-footer {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    margin-top: auto;
    margin-bottom: -2px;
    font-size: var(--fs-card-stat);
}

.project-card-stats {
    display: flex;
    gap: 12px;
}

.project-card-stats span {
    display: flex;
    align-items: center;
    gap: 5px;
    line-height: 1.2;
}

.project-stat-text {
    color: var(--c-text-muted);
    word-spacing: -2.5px;
}

.project-stat-icon {
    width: 16px;
    height: 16px;
    stroke: var(--c-icon-muted);
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
}

.project-card-actions {
    display: flex;
    gap: 8px;
}

.project-card-action {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 28px;
    width: 28px;
    border-radius: 14px;
    border: 1px solid var(--c-btn-border-secondary);
    background-color: var(--c-grey-200);
    cursor: pointer;
}

.project-card-action.arrow {
    background-color: var(--c-btn-bg-primary);
    color: var(--c-white);
    border: none;
}

.project-card-action.arrow:hover {
    background-color: var(--c-primary-700);
    color: var(--c-white);
    border: none;
}

.project-card-action:hover {
    background-color: var(--c-grey-400);
}

.project-action-icon {
    width: 16px;
    height: 16px;
    stroke: currentColor;
    stroke-width: 2;
    stroke-linecap: round;
    stroke-linejoin: round;
    fill: none;
}

.project-action-icon.star-active {
    fill: var(--c-black);
}

/* preview */

.project-card-action.preview {
    position: relative;
}

.screenshot {
    position: absolute;
    bottom: 140%;
    right: 80%;
    width: 450px;      
    max-width: 60vw;  
    height: auto;      
    max-height: 400px; 
    object-fit: contain;
    border-radius: 8px;
    border: 1px solid var(--c-card-border);
    box-shadow: 0 2px 10px rgba(0 0 0 / 20%);
    opacity: 0;       
    pointer-events: none;
    transition: all 0.3s cubic-bezier(0.75, -0.02, 0.2, 0.97);
    transform: scale(0.4); 
    transform-origin: bottom right;
    z-index: 500;
}

.project-card-action.preview:hover .screenshot {
    opacity: 1;
    transform: scale(1);
}


/* ==================== ASIDE ==================== */

aside {
    grid-area: aside;
    display: flex;
    flex-direction: column;
    min-width: 280px;
    gap: 16px;
    padding: 12px 12px 12px 4px;
    background-color: var(--c-background);
}

aside .section-title {
    margin: 4px 0px 2px 0px;
    font-size: var(--fs-section-title-sm);
    font-weight: 600;
    color: var(--c-text-normal);
}

/* ==================== announcements ==================== */

.aside-section-activity {
    display: grid;
    gap: 12px;
    padding: 10px 10px 16px;
    border-radius: var(--br-section-border);
    background-color: var(--c-foreground-secondary);
}

.activity-list {
    display: grid;
    gap: var(--g-between-card-list);
}

.activity-list li {
    display: grid;
    grid-template: auto auto / auto 1fr auto;
    gap: 4px;
    padding: 8px 14px 8px 8px;
    border-radius: var(--br-card-border-aside);
    background-color: var(--c-foreground-secondary);
}

.activity-list li:hover {
    cursor: pointer;
    background-color: var(--c-foreground-tertiary);
}

.activity-list .vert-line {
    grid-row: span 2;
    width: 10px;
    border-left: 2px solid var(--c-primary-500-default);
}

.activity-list h3 {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-right: 6px;
    font-size: var(--fs-card-title-sm);
    font-weight: 450;
}

.activity-list h3 > strong {
    font-weight: 600;
    color: var(--c-text-accent);
}

.activity-list p {
    grid-column: 2;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    padding-right: 6px;
    font-size: var(--fs-card-body-sm);
    font-weight: 450;
    color: var(--c-text-muted-on-color);
}

/* truncate text, ellipsis after whole word */
.truncate span {
    display: inline-block;
}

.activity-list h3 + span {
    font-size: var(--fs-tag);
    color: var(--c-text-muted);
}

/* ==================== messages ==================== */

.aside-section-messages {
    display: grid;
    gap: 14px;
    padding: 10px 10px 16px;
    border-radius: var(--br-section-border);
    background-color: var(--c-foreground-secondary);
}

.messages-list {
    display: grid;
    gap: var(--g-between-card-list);
}

.messages-list li {
    display: grid;
    grid-template: auto auto / auto 1fr auto;
    gap: 4px;
    padding: 8px 14px 8px 8px;
    border: 0px solid var(--c-card-border);
    border-radius: var(--br-card-border-aside);
    background-color: var(--c-foreground-secondary);
}

.messages-list li:hover {
    cursor: pointer;
    background-color: var(--c-foreground-tertiary);
}

.messages-list .vert-line {
    grid-row: span 2;
    width: 10px;
    border-left: 2px solid var(--c-primary-500-default);
}

.messages-list h3 {
    font-size: var(--fs-card-title-sm);
    font-weight: 600;
    color: var(--c-text-accent);
}

.messages-list p {
    grid-column: 2;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    padding-right: 6px;
    font-size: var(--fs-card-body-sm);
    color: var(--c-text-muted-on-color);
}

.messages-list h3 + span {
    font-size: var(--fs-tag);
    color: var(--c-text-muted);
}

/* ==================== media queries ==================== */



@media (width >= 1160px) {
   .sidebar-toggle {
    display: none;
    }


    .header-search-bar {
    grid-column: 1 / span 2;
    }
}

@media (width <= 1160px) {
   .main-section-stats { 
    grid-template-columns: repeat(2, minmax(160px, 1fr));
   }

   .sidebar-nav {
    margin-left: -200px;
   }

   .sidebar-nav.active {
    margin-left: 0px;
   }

   header {
    grid-column: 1 / span 3;
   }

   main {
    grid-column: 1 / span 2;
   }
}

@media (width <= 768px) {
   .main-section-stats { 
    grid-template-columns: repeat(2, minmax(160px, 1fr));
   }

   main {
    grid-column: 1 / span 3;
   }

   aside {
    grid-column: 1 / span 3;
    grid-row: 3 / span 2;
    padding: 12px;
   }
}
